%global pkg_name flask-restful
%global pypi_name Flask-RESTful
%global _description %{expand:
Flask-RESTful is Python 3 extension for Flask that adds support
for quickly building REST APIs.}

Name:           python-%{pkg_name}
Version:        0.3.10
Release:        1%{?dist}
Summary:        Framework for creating REST APIs
License:        BSD
URL:            https://www.github.com/flask-restful/flask-restful/
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-flask python3-six python3-aniso8601 python3-pytz
BuildRequires:  git gcc
Requires:       python3-flask python3-six python3-aniso8601 python3-pytz

%description -n python3-%{pkg_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkg_name}
%license LICENSE
%doc AUTHORS.md README.md examples/ docs/
%{python3_sitelib}/*

%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 0.3.10-1
- update to 0.3.10

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 kianli <kianli@tencent.com> - 0.3.9-1
- initial build
